Subject: bug#58865: 29.0.50; Warnings when compiling net/dbus.el

From: Arash Esbati <[email-masked]>
Date: Tue, 01 Nov 2022 12:58:29 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> In the future, please report bugs via `report-emacs-bug'. This gives
> useful information.
>
> You appear to have configured Emacs --without-dbus, which would have
> been seen when using the bug submit function. Using this configure
> option I can reproduce the bug.

To be honest, building Emacs worked fine without warnings from Tramp for
such a long time that I thought I'm reporting something easy to fix
(like my other report #58864 about hierarchy.el), so I even missed to
say that I'm building Emacs on Windows 10; and that would have been the
hint for '--without-dbus'.  At any rate, sorry for not being precise in
the first place; I'll consider `report-emacs-bug' in future.

Best, Arash